Descriptors.MethodDescriptor
Date: 2017-07-08

com.google.protobuf

## Class Descriptors.MethodDescriptor

- java.lang.Object
- - com.google.protobuf.Descriptors.GenericDescriptor
  - - com.google.protobuf.Descriptors.MethodDescriptor

- Enclosing class:
    Descriptors

      public static final class Descriptors.MethodDescriptor
      extends Descriptors.GenericDescriptor

  Describes one method within a service type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Descriptors.FileDescriptor` | `getFile()` Get the `Descriptors.FileDescriptor` containing this descriptor.
    `java.lang.String` | `getFullName()` Get the method's fully-qualified name.
    `int` | `getIndex()` Get the index of this descriptor within its parent.
    `Descriptors.Descriptor` | `getInputType()` Get the method's input type.
    `java.lang.String` | `getName()` Get the method's unqualified name.
    `DescriptorProtos.MethodOptions` | `getOptions()` Get the `MethodOptions`, defined in `descriptor.proto`.
    `Descriptors.Descriptor` | `getOutputType()` Get the method's output type.
    `Descriptors.ServiceDescriptor` | `getService()` Get the method's service type.
    `DescriptorProtos.MethodDescriptorProto` | `toProto()` Convert the descriptor to its protocol message representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIndex

          public int getIndex()

      Get the index of this descriptor within its parent. * @see Descriptors.Descriptor#getIndex()

    - #### toProto

          public DescriptorProtos.MethodDescriptorProto toProto()

      Convert the descriptor to its protocol message representation.
      Specified by:
        `toProto` in class `Descriptors.GenericDescriptor`

    - #### getName

          public java.lang.String getName()

      Get the method's unqualified name.
      Specified by:
        `getName` in class `Descriptors.GenericDescriptor`

    - #### getFullName

          public java.lang.String getFullName()

      Get the method's fully-qualified name.
      Specified by:
        `getFullName` in class `Descriptors.GenericDescriptor`
      See Also:
        `Descriptors.Descriptor.getFullName()`

    - #### getFile

          public Descriptors.FileDescriptor getFile()

      Get the `Descriptors.FileDescriptor` containing this descriptor.
      Specified by:
        `getFile` in class `Descriptors.GenericDescriptor`

    - #### getService

          public Descriptors.ServiceDescriptor getService()

      Get the method's service type.

    - #### getInputType

          public Descriptors.Descriptor getInputType()

      Get the method's input type.

    - #### getOutputType

          public Descriptors.Descriptor getOutputType()

      Get the method's output type.

    - #### getOptions

          public DescriptorProtos.MethodOptions getOptions()

      Get the `MethodOptions`, defined in `descriptor.proto`.